Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class XMLHelper

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.XMLHelper

Deprecated See BEA Commerce product offering

    @Deprecated
    public class XMLHelper

extends Object

Field Summary
`static String` | `ALL_TAG` Deprecated See BEA Commerce product offering
`static String` | `ALWAYS` Deprecated See BEA Commerce product offering
`static String` | `AND_TAG` Deprecated See BEA Commerce product offering
`static String` | `AT_LEAST_TAG` Deprecated See BEA Commerce product offering
`static String` | `BETWEEN_TAG` Deprecated See BEA Commerce product offering
`static String` | `CAT_EQ` Deprecated See BEA Commerce product offering
`static String` | `CURR_TYPE` Deprecated See BEA Commerce product offering
`static String` | `CURR_VALUE` Deprecated See BEA Commerce product offering
`static String` | `EACH_SET_TAG` Deprecated See BEA Commerce product offering
`static String` | `EXACTLY_TAG` Deprecated See BEA Commerce product offering
`static String` | `FIXED_DISCOUNT_MOD_TAG` Deprecated See BEA Commerce product offering
`static String` | `FIXED_PRICE_MOD_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_ALL_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_ALWAYS` Deprecated See BEA Commerce product offering
`static int` | `I_AND_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_AT_LEAST_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_BETWEEN_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_CAT_EQ` Deprecated See BEA Commerce product offering
`static int` | `I_CURR_TYPE` Deprecated See BEA Commerce product offering
`static int` | `I_CURR_VALUE` Deprecated See BEA Commerce product offering
`static int` | `I_EACH_SET_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_EXACTLY_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_FIXED_DISCOUNT_MOD_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_FIXED_PRICE_MOD_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_INDIV_QUAL_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_ITEM_DISCOUNT_RULE_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_MAX` Deprecated See BEA Commerce product offering
`static int` | `I_MIN` Deprecated See BEA Commerce product offering
`static int` | `I_OR_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_ORDER_DISCOUNT_RULE_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_ORDER_QUAL_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_PERCENT_DISCOUNT_MOD_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_SET_ALL_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_SET_LIMIT_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_SET_QUAL_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_SKU_EQ` Deprecated See BEA Commerce product offering
`static int` | `I_SUB_GE` Deprecated See BEA Commerce product offering
`static int` | `I_SUB_GT` Deprecated See BEA Commerce product offering
`static int` | `I_SUB_LE` Deprecated See BEA Commerce product offering
`static int` | `I_SUB_LT` Deprecated See BEA Commerce product offering
`static int` | `I_TARGET_COND_EXACTLY_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_TARGET_COND_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_TARGET_COND_UP_TO_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_TARGET_EACH_QUAL_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_TARGET_SHIPPING` Deprecated See BEA Commerce product offering
`static int` | `I_TARGET_TAG` Deprecated See BEA Commerce product offering
`static int` | `I_UP_TO_TAG` Deprecated See BEA Commerce product offering
`static String` | `INDIV_QUAL_TAG` Deprecated See BEA Commerce product offering
`static String` | `ITEM_DISCOUNT_RULE_TAG` Deprecated See BEA Commerce product offering
`static String` | `MAX` Deprecated See BEA Commerce product offering
`static String` | `MIN` Deprecated See BEA Commerce product offering
`static String` | `OR_TAG` Deprecated See BEA Commerce product offering
`static String` | `ORDER_DISCOUNT_RULE_TAG` Deprecated See BEA Commerce product offering
`static String` | `ORDER_QUAL_TAG` Deprecated See BEA Commerce product offering
`static String` | `PERCENT_DISCOUNT_MOD_TAG` Deprecated See BEA Commerce product offering
`static String` | `SET_ALL_TAG` Deprecated See BEA Commerce product offering
`static String` | `SET_LIMIT_TAG` Deprecated See BEA Commerce product offering
`static String` | `SET_QUAL_TAG` Deprecated See BEA Commerce product offering
`static String` | `SKU_EQ` Deprecated See BEA Commerce product offering
`static String` | `SUB_GE` Deprecated See BEA Commerce product offering
`static String` | `SUB_GT` Deprecated See BEA Commerce product offering
`static String` | `SUB_LE` Deprecated See BEA Commerce product offering
`static String` | `SUB_LT` Deprecated See BEA Commerce product offering
`static String` | `TARGET_COND_EXACTLY_TAG` Deprecated See BEA Commerce product offering
`static String` | `TARGET_COND_TAG` Deprecated See BEA Commerce product offering
`static String` | `TARGET_COND_UP_TO_TAG` Deprecated See BEA Commerce product offering
`static String` | `TARGET_EACH_QUAL_TAG` Deprecated See BEA Commerce product offering
`static String` | `TARGET_SHIPPING` Deprecated See BEA Commerce product offering
`static String` | `TARGET_TAG` Deprecated See BEA Commerce product offering
`static String` | `UP_TO_TAG` Deprecated See BEA Commerce product offering

Constructor Summary
`XMLHelper()` Deprecated See BEA Commerce product offering

Method Summary
`static int` | `getInt(String string)` Deprecated See BEA Commerce product offering
`static String` | `getString(int value)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEM_DISCOUNT_RULE_TAG

    public static final String ITEM_DISCOUNT_RULE_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ORDER_DISCOUNT_RULE_TAG

    public static final String ORDER_DISCOUNT_RULE_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### INDIV_QUAL_TAG

    public static final String INDIV_QUAL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ALL_TAG

    public static final String ALL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AT_LEAST_TAG

    public static final String AT_LEAST_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BETWEEN_TAG

    public static final String BETWEEN_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### EXACTLY_TAG

    public static final String EXACTLY_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### UP_TO_TAG

    public static final String UP_TO_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SET_QUAL_TAG

    public static final String SET_QUAL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SET_LIMIT_TAG

    public static final String SET_LIMIT_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### EACH_SET_TAG

    public static final String EACH_SET_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SET_ALL_TAG

    public static final String SET_ALL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TARGET_TAG

    public static final String TARGET_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TARGET_COND_TAG

    public static final String TARGET_COND_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TARGET_EACH_QUAL_TAG

    public static final String TARGET_EACH_QUAL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TARGET_SHIPPING

    public static final String TARGET_SHIPPING

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TARGET_COND_UP_TO_TAG

    public static final String TARGET_COND_UP_TO_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### TARGET_COND_EXACTLY_TAG

    public static final String TARGET_COND_EXACTLY_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ORDER_QUAL_TAG

    public static final String ORDER_QUAL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SKU_EQ

    public static final String SKU_EQ

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CAT_EQ

    public static final String CAT_EQ

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SUB_GT

    public static final String SUB_GT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SUB_GE

    public static final String SUB_GE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SUB_LT

    public static final String SUB_LT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SUB_LE

    public static final String SUB_LE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CURR_TYPE

    public static final String CURR_TYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CURR_VALUE

    public static final String CURR_VALUE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AND_TAG

    public static final String AND_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### OR_TAG

    public static final String OR_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FIXED_DISCOUNT_MOD_TAG

    public static final String FIXED_DISCOUNT_MOD_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FIXED_PRICE_MOD_TAG

    public static final String FIXED_PRICE_MOD_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PERCENT_DISCOUNT_MOD_TAG

    public static final String PERCENT_DISCOUNT_MOD_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MIN

    public static final String MIN

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MAX

    public static final String MAX

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ALWAYS

    public static final String ALWAYS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_ITEM_DISCOUNT_RULE_TAG

    public static final int I_ITEM_DISCOUNT_RULE_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_ORDER_DISCOUNT_RULE_TAG

    public static final int I_ORDER_DISCOUNT_RULE_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_INDIV_QUAL_TAG

    public static final int I_INDIV_QUAL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_ALL_TAG

    public static final int I_ALL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_AT_LEAST_TAG

    public static final int I_AT_LEAST_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_BETWEEN_TAG

    public static final int I_BETWEEN_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_EXACTLY_TAG

    public static final int I_EXACTLY_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_UP_TO_TAG

    public static final int I_UP_TO_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_SET_QUAL_TAG

    public static final int I_SET_QUAL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_SET_LIMIT_TAG

    public static final int I_SET_LIMIT_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_EACH_SET_TAG

    public static final int I_EACH_SET_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_SET_ALL_TAG

    public static final int I_SET_ALL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_TARGET_TAG

    public static final int I_TARGET_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_TARGET_COND_TAG

    public static final int I_TARGET_COND_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_TARGET_EACH_QUAL_TAG

    public static final int I_TARGET_EACH_QUAL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_TARGET_SHIPPING

    public static final int I_TARGET_SHIPPING

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_TARGET_COND_UP_TO_TAG

    public static final int I_TARGET_COND_UP_TO_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_TARGET_COND_EXACTLY_TAG

    public static final int I_TARGET_COND_EXACTLY_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_ORDER_QUAL_TAG

    public static final int I_ORDER_QUAL_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_SKU_EQ

    public static final int I_SKU_EQ

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_CAT_EQ

    public static final int I_CAT_EQ

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_SUB_GT

    public static final int I_SUB_GT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_SUB_GE

    public static final int I_SUB_GE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_SUB_LT

    public static final int I_SUB_LT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_SUB_LE

    public static final int I_SUB_LE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_CURR_TYPE

    public static final int I_CURR_TYPE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_CURR_VALUE

    public static final int I_CURR_VALUE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_AND_TAG

    public static final int I_AND_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_OR_TAG

    public static final int I_OR_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_FIXED_DISCOUNT_MOD_TAG

    public static final int I_FIXED_DISCOUNT_MOD_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_FIXED_PRICE_MOD_TAG

    public static final int I_FIXED_PRICE_MOD_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_PERCENT_DISCOUNT_MOD_TAG

    public static final int I_PERCENT_DISCOUNT_MOD_TAG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_MIN

    public static final int I_MIN

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_MAX

    public static final int I_MAX

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### I_ALWAYS

    public static final int I_ALWAYS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### XMLHelper

    public XMLHelper()

  Deprecated See BEA Commerce product offering

Method Detail

### getInt

    public static int getInt(String string)

  Deprecated See BEA Commerce product offering

### getString

    public static String getString(int value)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved